Add NUMBEROFROLLBACKERS magic word
Closed, ResolvedPublic

Description

Author: soxred93

Description:
On enwiki, the user group rollbackers is enabled. So, a template was created (see URL), because there was no magic word for the amount of rollbackers. SQLBot currently updates it. I have submitted a patch, which updates SiteStats.php and Parser.php, creating that new magic word. I have tested it, and it works. All it needs is to be implemented. Thanks!

Soxred93


Version: unspecified
Severity: enhancement
URL: http://en.wikipedia.org/wiki/Template:NUMBEROFROLLBACKERS

bzimport added a project: MediaWiki-Interface.Via ConduitNov 21 2014, 10:02 PM
bzimport added a subscriber: Unknown Object (MLST).
bzimport set Reference to bz13471.
bzimport created this task.Via LegacyMar 21 2008, 4:57 PM
bzimport added a comment.Via ConduitMar 21 2008, 4:57 PM

soxred93 wrote:

Proposed patch

attachment imagediff.txt ignored as obsolete

bzimport added a comment.Via ConduitMar 21 2008, 5:01 PM

ayg wrote:

  1. Your patch seems to mix up rollbackers and bureaucrats. It looks as though it will result in a fatal error, since you called a nonexistent function SiteStats::crats().
  1. The word 'rollbacker' must occur nowhere in the patch. We will not incorporate explicit references to usergroups that do not exist in the core software. Generalize this to a NUMBERINGROUP function or something, and it might be committed.
bzimport added a comment.Via ConduitMar 21 2008, 5:02 PM

soxred93 wrote:

Better patch

(used wrong patch)

attachment imagediff.txt ignored as obsolete

bzimport added a comment.Via ConduitMar 21 2008, 5:05 PM

random832 wrote:

Why not just have [[Template:NUMBEROFROLLBACKERS]] and have people update it manually whenever someone gets it? It worked for Pokémon.

bzimport added a comment.Via ConduitMar 21 2008, 5:07 PM

ayg wrote:

It's still not acceptable to refer to enwiki-specific groups like that in core code.

This also may be a performance issue for potentially very large groups like rollbacker. Over time I expect it will grow to tens of thousands or more, and all those index nodes will have to be scanned. If this feature is really desired, another usergroup table could be added to store the size of each usergroup, like the new category table, but that seems pretty excessive.

bzimport added a comment.Via ConduitMar 21 2008, 5:15 PM

soxred93 wrote:

Ok, working on {{NUMBEROFGROUPUSERS:rollbacker}} now.

bzimport added a comment.Via ConduitMar 22 2008, 2:31 AM

soxred93 wrote:

One thing you might not have noticed: This is for Wikimedia, not MediaWiki.

MZMcBride added a comment.Via ConduitMar 22 2008, 2:39 AM

Corrected component. It should be MediaWiki.

bzimport added a comment.Via ConduitMar 23 2008, 12:48 AM

ayg wrote:

Correct. All software changes are filed under either MediaWiki or MediaWiki extensions, because that's where the changes must be made. Wikimedia is only for configuration changes, which this is not. In principle, Wikimedia does not maintain live hacks: everything gets committed to the core software. (In practice some admins do maintain live hacks, which periodically get cleaned up and committed to avoid merge conflicts on svn up.)

bzimport added a comment.Via ConduitMar 25 2008, 12:41 AM

ayg wrote:

Um? Any reason for RESOLVED LATER? If someone wants to work on this they can. LATER should usually be used on MediaWiki bugs for when the bug cannot be fixed now for some reason no matter what code we write (for instance, inadequate upstream support for something) but may be fixable at some later date.

bzimport added a comment.Via ConduitMar 25 2008, 12:42 AM

soxred93 wrote:

Oh, sorry. I thought that meant like a withdrawal or something.

bzimport added a comment.Via ConduitMar 25 2008, 12:49 AM

ayg wrote:

You can un-assign yourself using "Reassign bug to default assignee and add Default CC of selected component". That's not really resolving the issue, though, is it? It doesn't set it to RESOLVED, it sets it to NEW.

bzimport added a comment.Via ConduitAug 27 2008, 11:21 PM

soxred93 wrote:

New patch, implementing {{NUMBERINGROUP}} parserfunction

New patch:

Instead of {{NUMBEROFROLLBACKERS}}, it has been changed to {{NUMBERINGROUP}}

Usage: {{NUMBERINGROUP:(group)}}
Raw: {{NUMBERINGROUP:(group)|R}}

attachment my.patch ignored as obsolete

bzimport added a comment.Via ConduitAug 27 2008, 11:59 PM

soxred93 wrote:

Sigh, fix spaces

Attached: my.patch

Catrope added a comment.Via ConduitAug 28 2008, 12:06 AM

Applied in r40116

Add Comment